## org.biojava.utils
Class JDBCConnectionPool

    java.lang.Object
      org.biojava.utils.JDBCConnectionPool

public class JDBCConnectionPool
extends java.lang.Object

Really simple connection pool for JDBC databases

Author:
  Thomas Down

Constructor Summary
`JDBCConnectionPool(java.lang.String url)`
`JDBCConnectionPool(java.lang.String url, java.lang.String user, java.lang.String pass)`

Method Summary
`void` `putConnection(java.sql.Connection c)`
`void` `putStatement(java.sql.Statement st)`
`java.sql.Connection` `takeConnection()`
`java.sql.Statement` `takeStatement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCConnectionPool

    public JDBCConnectionPool(java.lang.String url,
                              java.lang.String user,
                              java.lang.String pass)

### JDBCConnectionPool

    public JDBCConnectionPool(java.lang.String url)

Method Detail

### takeConnection

    public java.sql.Connection takeConnection()
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### putConnection

    public void putConnection(java.sql.Connection c)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### takeStatement

    public java.sql.Statement takeStatement()
                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### putStatement

    public void putStatement(java.sql.Statement st)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`